library(Matrix)
library(SQUIC)

p <- 1024
n <- 100
lambda <- .4

# generate a tridiagonal matrix
iC_star <- Matrix::bandSparse(p, p, (-1):1, list(rep(-.5, p-1), rep(1.25,   p), rep(-.5, p-1)))

# generate the data
set.seed(1)
z    <- replicate(n,rnorm(p))
iC_L <- chol(iC_star)
Y    <- matrix(solve(iC_L,z),p,n)

# run SQUIC
out <- SQUIC(Y,lambda)
